# imageio.plugins.tifffile_v3.TifffilePlugin.metadata

TifffilePlugin.metadata(*, index: int = Ellipsis, page: int = None, exclude_applied: bool = True) → Dict[str, Any]

  Format-Specific TIFF metadata.

  The metadata returned depends on the value of both `index` and `page`. `index` selects a series and `page` allows selecting a single page from the selected series. If `index=Ellipsis`, `page` is understood as a flat index, i.e., the selection ignores individual series inside the file. If `index=Ellipsis` and `page=None` then global (file-level) metadata is returned.

  Parameters:
    index int

      Select the series of which to extract metadata from. If Ellipsis, treat page as a flat index into the file’s pages.

    page int

      If not None, select the page of which to extract metadata from. If None, read series-level metadata or, if `index=...` global, file-level metadata.

    exclude_applied bool

      For API compatibility. Currently ignored.

  Returns:
    metadata dict

      A dictionary with information regarding the tiff flavor (file-level) or tiff tags (page-level).

previous

imageio.plugins.tifffile_v3.TifffilePlugin.properties

next

imageio.plugins.tifffile_v3.TifffilePlugin.iter_pages